robotpkg/wip/libmove3d bulk build results

Log for libmove3d-3.22.0r1 on Fedora-28-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for libmove3d-3.22.0r1 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for libmove3d-3.22.0r1 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ===> Done bootstrap-depends for libmove3d-3.22.0r1 ===> Installing full dependencies for libmove3d-3.22.0r1 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/gbM-0.11~tcl.tgz WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/softMotion-libs-3.12~tcl.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for libmove3d-3.22.0r1 => Building with no option. ===> Checking alternatives for libmove3d-3.22.0r1 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 ===> Checking dependencies for libmove3d-3.22.0r1 => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.6: cmake-3.14.4 found => Required system package freeglut: freeglut found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package glib2>=2.20: glib2-2.56.4 found => Required system package glpk>=4.36: glpk found => Required system package glu>=7: glu-9.0.0 found => Required system package gsl>=1: gsl-2.4 found => Required system package gts>=0.7: gts-0.7.6 found => Required system package libXpm>=3.5.7: libXpm found => Required system package libstdc++: libstdc++ found => Required system package libxml2>=2: libxml2-2.9.8 found => Required system package qhull: qhull found WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Required robotpkg package gbM>=0.9: gbM-0.11~tcl found => Required robotpkg package softMotion-libs>=3.10: softMotion-libs-3.12~tcl found ===> Done depends for libmove3d-3.22.0r1 ===> Extracting for libmove3d-3.22.0r1 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for libmove3d-3.22.0r1 test git post-update I've found Qt4 libraries. I will compile libmove3d with it. Enabled GENERATE_LIBMOVE3D dependency: MOVE3D_ROBOTICS Enabled GENERATE_LIBMOVE3D dependency: MOVE3D_CORE Enabled MOVE3D_ROBOTICS dependency: GRASP_PLANNING Enabled MOVE3D_ROBOTICS dependency: LIGHT_PLANNER Enabled MOVE3D_ROBOTICS dependency: MULTIGRAPH Enabled MOVE3D_ROBOTICS dependency: MULTILOCALPATH Enabled MOVE3D_ROBOTICS dependency: USE_GSL Enabled GRASP_PLANNING dependency: USE_GBM Active Flags : QT_LIBRARY QT_GL P3D_CONSTRAINTS P3D_COLLISION_CHECKING P3D_LOCALPATH P3D_PLANNER USE_P3D_BODY_AABB USE_GLUT DEBUG_STATUS GENERATE_LIBMOVE3D MOVE3D_ROBOTICS MOVE3D_CORE GRASP_PLANNING LIGHT_PLANNER MULTIGRAPH MULTILOCALPATH USE_GSL USE_GBM CMake Warning (dev) at /usr/share/cmake/Modules/FindOpenGL.cmake:275 (message): Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when available. Run "cmake --help-policy CMP0072" for policy details. Use the cmake_policy command to set the policy and suppress this warning. FindOpenGL found both a legacy GL library: OPENGL_gl_LIBRARY: /usr/lib64/libGL.so and GLVND libraries for OpenGL and GLX: OPENGL_opengl_LIBRARY: /usr/lib64/libOpenGL.so OPENGL_glx_LIBRARY: /usr/lib64/libGLX.so OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for compatibility with CMake 3.10 and below the legacy GL library will be used. Call Stack (most recent call first): CMakeLists.txt:296 (FIND_PACKAGE) This warning is for project developers. Use -Wno-dev to suppress it. optimized/usr/lib64/libQtOpenGL.sodebug/usr/lib64/libQtOpenGL_debug.sooptimized/usr/lib64/libQtGui.sodebug/usr/lib64/libQtGui_debug.sooptimized/usr/lib64/libQtCore.sodebug/usr/lib64/libQtCore_debug.so/usr/lib64/libSM.so/usr/lib64/libICE.so/usr/lib64/libX11.so/usr/lib64/libXext.so/usr/lib64/libxml2.so/usr/lib64/libGL.so/usr/lib64/libGLU.so/usr/lib64/libGLU.so/usr/lib64/libXpm.so/opt/openrobots/lib/libgb.so/usr/lib64/libgsl.so/usr/lib64/libgslcblas.so/usr/lib64/libglpk.so/usr/lib64/libgts.so/opt/openrobots/lib/libsoftMotion.so/usr/lib64/libglut.so libmove3d_SOURCE_DIR:/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0 CMake Warning (dev) at CMakeLists.txt:547 (get_directory_property): Policy CMP0059 is not set: Do not treat DEFINITIONS as a built-in directory property. Run "cmake --help-policy CMP0059" for policy details. Use the cmake_policy command to set the policy and suppress this warning. This warning is for project developers. Use -Wno-dev to suppress it. -DBIOMOVE3D_VERSION="" -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_LIBRARY -DQT_GL -DP3D_CONSTRAINTS -DP3D_COLLISION_CHECKING -DP3D_LOCALPATH -DP3D_PLANNER -DUSE_P3D_BODY_AABB -DUSE_GLUT -DDEBUG_STATUS -DGENERATE_LIBMOVE3D -DMOVE3D_ROBOTICS -DMOVE3D_CORE -DGRASP_PLANNING -DLIGHT_PLANNER -DMULTIGRAPH -DMULTILOCALPATH -DUSE_GSL -DUSE_GBM -DFOO -DBAR CMAKE_C_FLAGS = -pipe -O3 -DNDEBUG CMAKE_CXX_FLAGS = -pipe -O3 -DNDEBUG CMAKE_BINARY_DIR = /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0 ===> Building for libmove3d-3.22.0r1 In file included from /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graphic/g3d_states.c:5: /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graphic/../graphic/proto/g3d_logo.h:2043:2: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings] ""; ^~ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graphic/g3d_glut.cpp:40:18: warning: converting to non-pointer type 'int' from NULL [-Wconversion-null] int m_WindowId = NULL; ^~~~ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp: In member function 'virtual int gpConvexHull::voronoi(bool)': /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:853:32: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> dimension ); ^ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:859:40: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> nbVoronoiVertices ); ^ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:871:32: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> coord ); ^ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:881:38: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> nbVoronoiRidges ); ^ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:892:53: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> nbElements >> site1 >> site2 ); ^ /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:906:32: error: cannot convert 'std::basic_istream::__istream_type' {aka 'std::basic_istream'} to 'bool' in assignment result= (iss >> index ); ^ make[2]: *** [CMakeFiles/move3d.dir/build.make:687: CMakeFiles/move3d.dir/graspPlanning/gpConvexHull.cpp.o] Error 1 make[2]: *** Waiting for unfinished jobs.... make[1]: *** [CMakeFiles/Makefile2:76: CMakeFiles/move3d.dir/all] Error 2 make: *** [Makefile:144: all] Error 2 An unexpected error occured. The last 10 log lines are shown below. | result= (iss >> index ); | ^ | [ 26%] Building CXX object CMakeFiles/move3d.dir/graspPlanning/gpGrasp.cpp.o | /usr/bin/g++ -DBAR -DBIOMOVE3D_VERSION="" -DDEBUG_STATUS -DFOO -DGENERATE_LIBMOVE3D -DGRASP_PLANNING -DKCD_MOVE3D -DLIGHT_PLANNER -DLINUX -DMOVE3D_CORE -DMOVE3D_ROBOTICS -DMULTIGRAPH -DMULTILOCALPATH -DP3D_COLLISION_CHECKING -DP3D_CONSTRAINTS -DP3D_LOCALPATH -DP3D_PLANNER -DPRINT_ERROR -DPRINT_INFO -DQT_CORE_LIB -DQT_GL -DQT_GUI_LIB -DQT_LIBRARY -DQT_NO_DEBUG -DQT_OPENGL_LIB -DUNIX -DUSE_GBM -DUSE_GLUT -DUSE_GSL -DUSE_P3D_BODY_AABB -Dmove3d_EXPORTS -I/usr/include/libxml2 -I/opt/openrobots/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/collision/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/collision/Kcd/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/collision/Kcd/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/collision/PQP/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graphic/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/groundHeight/src -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/lightPlanner/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/localpath/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/localpath/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/localpath/flat/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/p3d -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/p3d/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/astar/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/dfs/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/dfs/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/Diffusion/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/planner/rwGraph/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/util/proto -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/include -I/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0 -isystem /usr/include/QtOpenGL -isystem /usr/include/QtGui -isystem /usr/include/QtCore -pipe -O3 -DNDEBUG -fPIC -mtune=native -o CMakeFiles/move3d.dir/graspPlanning/gpGrasp.cpp.o -c /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpGrasp.cpp | make[2]: *** [CMakeFiles/move3d.dir/build.make:687: CMakeFiles/move3d.dir/graspPlanning/gpConvexHull.cpp.o] Error 1 | make[2]: *** Waiting for unfinished jobs.... | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0' | make[1]: *** [CMakeFiles/Makefile2:76: CMakeFiles/move3d.dir/all] Error 2 | make: *** [Makefile:144: all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0' For details or bug reports, check the complete log file in: => Marking libmove3d-3.22.0r1 as broken /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Deinstalling for libmove3d Removed digest-20080510 Removed gbM-0.11~tcl Removed softMotion-libs-3.12~tcl Removed tnftp-20130505~ssl